import java.awt.*;

class Ball
{    
    final static boolean SINE = true, COSINE = false;
    
    double x, y, angleX = 0, angleY = 0;
    int radius = 8, steps = 100, scale = 5;
    Color color;
    
    public Ball(int x,int y,Color color){ 
        this.x = x; this.y = y; this.color = color;
    }
    public Ball(int x,int y){ this(x,y,ColorBall.nextColor()); }
    
    public void paint(Graphics g){
	   g.setColor(color);
	   g.fillOval((int)x-radius,(int)y-radius,radius*2,radius*2);
    }
    
    public void sine(){ 
	   angleY += (2*Math.PI/steps);
	   y += scale*Math.sin(angleY); 
    }
    public void cosine(){
	   angleX += (2*Math.PI/steps);
	   x += scale*Math.sin(angleX+Math.PI/2); 
    }
}
  
