import java.awt.*;
import junior.*;

public class SinCos6 extends ReactiveApplet
{   
    Ball ball1 = new Ball(startx,starty,Color.red);
    Ball ball2 = new Ball(startx,starty,Color.green);
    Ball ball3 = new Ball(startx,starty,Color.blue);

    public void paint(Graphics g) { 
       super.paint(g);
 	   ball1.paint(g);
 	   ball2.paint(g);
 	   ball3.paint(g);
    } 
        
    Program sine(Ball ball){
       return Jr.Link(ball,Jr.Loop(Jr.Seq(Jr.Atom(new Move(Ball.SINE)),Jr.Stop())));
    }
    Program cosine(Ball ball){
       return Jr.Link(ball,Jr.Loop(Jr.Seq(Jr.Atom(new Move(Ball.COSINE)),Jr.Stop())));
    }
    Program circle(Ball ball){
       return Jr.Par(sine(ball),cosine(ball));
    }
    
    public void init(){	   
	   machine.add(circle(ball1));
	   for (int i = 0; i < 2; i++) machine.add(sine(ball1));
	   
	   machine.add(circle(ball2));
	   for (int i = 0; i < 2; i++) machine.add(cosine(ball2));
	   
	   machine.add(circle(ball3));
    }
}